<?php

/**
 * Footer Options
 *
 * @package dark_fitness
 */

$wp_customize->add_section(
	'dark_fitness_footer_options',
	array(
		'panel' => 'dark_fitness_theme_options',
		'title' => esc_html__( 'Footer Options', 'dark-fitness' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_footer_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_footer_separators', array(
	'label' => __( 'Footer Settings', 'dark-fitness' ),
	'section' => 'dark_fitness_footer_options',
	'settings' => 'dark_fitness_footer_separators',
)));

// Footer Section - Enable Section.
$wp_customize->add_setting(
	'dark_fitness_enable_footer_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_footer_section',
		array(
			'label'    => esc_html__( 'Show / Hide Footer', 'dark-fitness' ),
			'section'  => 'dark_fitness_footer_options',
			'settings' => 'dark_fitness_enable_footer_section',
		)
	)
);

// column // 
$wp_customize->add_setting(
	'dark_fitness_footer_widget_column',
	array(
        'default'			=> '4',
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'dark_fitness_sanitize_select',
		
	)
);	

$wp_customize->add_control(
	'dark_fitness_footer_widget_column',
	array(
	    'label'   		=> __('Select Widget Column','dark-fitness'),
		'description' => __('Note: Default footer widgets are shown. Add your preferred widgets in (Appearance > Widgets > Footer) to see changes.', 'dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_options',
		'type'			=> 'select',
		'choices'        => 
		array(
			'' => __( 'None', 'dark-fitness' ),
			'1' => __( '1 Column', 'dark-fitness' ),
			'2' => __( '2 Column', 'dark-fitness' ),
			'3' => __( '3 Column', 'dark-fitness' ),
			'4' => __( '4 Column', 'dark-fitness' )
		) 
	) 
);
//  BG Color // 
$wp_customize->add_setting('dark_fitness_footer_background_color_setting', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color',
));

$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'dark_fitness_footer_background_color_setting', array(
    'label' => __('Footer Background Color', 'dark-fitness'),
    'section' => 'dark_fitness_footer_options',
)));

// Footer Background Image Setting
$wp_customize->add_setting('dark_fitness_footer_background_image_setting', array(
    'default' => '',
    'sanitize_callback' => 'esc_url_raw',
));

$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'dark_fitness_footer_background_image_setting', array(
    'label' => __('Footer Background Image', 'dark-fitness'),
    'section' => 'dark_fitness_footer_options',
)));

// Footer Background Attachment
$wp_customize->add_setting(
	'dark_fitness_footer_image_attachment_setting',
	array(
		'default'=> 'scroll',
		'sanitize_callback' => 'dark_fitness_sanitize_choices'
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_image_attachment_setting',
	array(
		'type' => 'select',
		'label' => __('Footer Background Attatchment','dark-fitness'),
		'choices' => array(
			'fixed' => __('fixed','dark-fitness'),
			'scroll' => __('scroll','dark-fitness'),
		),
		'section'=> 'dark_fitness_footer_options',
  	)
);

$wp_customize->add_setting('footer_text_transform', array(
    'default' => 'none',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add Footer Text Transform Control
$wp_customize->add_control('footer_text_transform', array(
    'label' => __('Footer Text Transform', 'dark-fitness'),
    'section' => 'dark_fitness_footer_options',
    'settings' => 'footer_text_transform',
    'type' => 'select',
    'choices' => array(
        'none' => __('None', 'dark-fitness'),
        'capitalize' => __('Capitalize', 'dark-fitness'),
        'uppercase' => __('Uppercase', 'dark-fitness'),
        'lowercase' => __('Lowercase', 'dark-fitness'),
    ),
));


// Footer Heading Alignment
$wp_customize->add_setting(
	'dark_fitness_footer_header_align',
	array(
		'default' 			=> 'left',
		'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_header_align',
	array(
		'label' => __('Footer Heading Alignment ','dark-fitness'),
		'section' => 'dark_fitness_footer_options',
		'type'			=> 'select',
		'choices' => 
		array(
			'left' => __('Left','dark-fitness'),
			'right' => __('Right','dark-fitness'),
			'center' => __('Center','dark-fitness'),
		),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_copyright_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_copyright_separators', array(
	'label' => __( 'Copyright Settings', 'dark-fitness' ),
	'section' => 'dark_fitness_footer_options',
	'settings' => 'dark_fitness_copyright_separators',
)));

// Copyright Section - Enable Section.
$wp_customize->add_setting(
	'dark_fitness_enable_copyright_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_copyright_section',
		array(
			'label'    => esc_html__( 'Show / Hide Copyright', 'dark-fitness' ),
			'section'  => 'dark_fitness_footer_options',
			'settings' => 'dark_fitness_enable_copyright_section',
		)
	)
);

$wp_customize->add_setting(
	'dark_fitness_footer_copyright_text',
	array(
		'default'           => "",
		'sanitize_callback' => 'wp_kses_post',
		'transport'         => 'refresh',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_copyright_text',
	array(
		'label'    => esc_html__( 'Copyright Text', 'dark-fitness' ),
		'section'  => 'dark_fitness_footer_options',
		'settings' => 'dark_fitness_footer_copyright_text',
		'type'     => 'textarea',
	)
);

//Copyright Alignment
$wp_customize->add_setting(
	'dark_fitness_footer_bottom_align',
	array(
		'default' 			=> 'center',
		'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_bottom_align',
	array(
		'label' => __('Copyright Alignment ','dark-fitness'),
		'section' => 'dark_fitness_footer_options',
		'type'			=> 'select',
		'choices' => 
		array(
			'left' => __('Left','dark-fitness'),
			'right' => __('Right','dark-fitness'),
			'center' => __('Center','dark-fitness'),
		),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_scroll_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_scroll_separators', array(
	'label' => __( 'Scroll Top Settings', 'dark-fitness' ),
	'section' => 'dark_fitness_footer_options',
	'settings' => 'dark_fitness_scroll_separators',
)));

// Footer Options - Scroll Top.
$wp_customize->add_setting(
	'dark_fitness_scroll_top',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_scroll_top',
		array(
			'label'   => esc_html__( 'Enable Scroll Top Button', 'dark-fitness' ),
			'section' => 'dark_fitness_footer_options',
		)
	)
);

// icon // 
$wp_customize->add_setting(
	'dark_fitness_scroll_btn_icon',
	array(
        'default' => 'fas fa-chevron-up',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_scroll_btn_icon',
	array(
	    'label'   		=> __('Scroll Top Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_options',
		'iconset' => 'fa',
	))  
);

$wp_customize->add_setting( 'dark_fitness_scroll_top_position', array(
    'default'           => 'bottom-right',
    'sanitize_callback' => 'dark_fitness_sanitize_scroll_top_position',
) );

// Add control for Scroll Top Button Position
$wp_customize->add_control( 'dark_fitness_scroll_top_position', array(
    'label'    => __( 'Scroll Top Button Position', 'dark-fitness' ),
    'section'  => 'dark_fitness_footer_options',
    'settings' => 'dark_fitness_scroll_top_position',
    'type'     => 'select',
    'choices'  => array(
        'bottom-right' => __( 'Bottom Right', 'dark-fitness' ),
        'bottom-left'  => __( 'Bottom Left', 'dark-fitness' ),
        'bottom-center'=> __( 'Bottom Center', 'dark-fitness' ),
    ),
) );

$wp_customize->add_setting( 'dark_fitness_scroll_top_shape', array(
	'default'           => 'box',
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'dark_fitness_scroll_top_shape', array(
	'label'    => __( 'Scroll to Top Button Shape', 'dark-fitness' ),
	'section'  => 'dark_fitness_footer_options',
	'settings' => 'dark_fitness_scroll_top_shape',
	'type'     => 'radio',
	'choices'  => array(
		'box'        => __( 'Box', 'dark-fitness' ),
		'curved-box' => __( 'Curved Box', 'dark-fitness' ),
		'circle'     => __( 'Circle', 'dark-fitness' ),
	),
) );